Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class DesktopDefinitionId

    java.lang.Object
      |
      +--com.bea.netuix.application.identifier.DesktopDefinitionId

All Implemented Interfaces:
  Serializable

public class DesktopDefinitionId
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`DesktopDefinitionId(String webAppName, PortalPath portalPath, DesktopPath desktopPath)`

Method Summary
`protected Object` | `clone()`
`static DesktopDefinitionId` | `clone(DesktopDefinitionId desktopDefinitionId)`
`static DesktopDefinitionId` | `createDesktopDefinitionId(String webAppName, String portalPathStr, String desktopPathStr)`
`boolean` | `equals(Object o)`
`DesktopPath` | `getDesktopPath()`
`PortalPath` | `getPortalPath()`
`String` | `getWebAppName()`
`int` | `hashCode()`
`void` | `setDesktopPath(DesktopPath desktopPath)`
`void` | `setPortalPath(PortalPath portalPath)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopDefinitionId

    public DesktopDefinitionId(String webAppName,
                               PortalPath portalPath,
                               DesktopPath desktopPath)

Method Detail

### getWebAppName

    public String getWebAppName()

### setWebAppName

    public void setWebAppName(String webAppName)

### getPortalPath

    public PortalPath getPortalPath()

### setPortalPath

    public void setPortalPath(PortalPath portalPath)

### getDesktopPath

    public DesktopPath getDesktopPath()

### setDesktopPath

    public void setDesktopPath(DesktopPath desktopPath)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### createDesktopDefinitionId

    public static DesktopDefinitionId createDesktopDefinitionId(String webAppName,
                                                                String portalPathStr,
                                                                String desktopPathStr)

### clone

    public static DesktopDefinitionId clone(DesktopDefinitionId desktopDefinitionId)

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved